1

:checkhealth shows neither errors nor warnings about jedi:

health#jedi#check
====================================
## jedi
#### Jedi-vim debug information


##### jedi-vim version


- jedi-vim git version: a17b033
- jedi git submodule status:  3b7106ae71cb7bd3431101d169a0110ee0c179aa        pythonx/jedi (v0.17.2)
- parso git submodule status:  c864ca60d1a2f36524a4f79013a7de223e65e19d       pythonx/parso (v0.6.0)

##### Global Python

Using Python version 3 to access Jedi.
- global sys.executable: /usr/bin/python3
- global sys.version: 3.8.2 (default, Jul 16 2020, 14:00:26), [GCC 9.3.       0]
- global site module: /usr/lib/python3.8/site.py


##### Jedi

- path: /root/.config/nvim/plugged/jedi-vim/pythonx/jedi/jedi/__init__.py
- version: 0.17.2

##### Jedi environment: <SameEnvironment: 3.8.2 in /usr>


- executable: /usr/bin/python3
- sys_path:
    - /usr/lib/python38.zip
    - /usr/lib/python3.8
    - /usr/lib/python3.8/lib-dynload
    - /usr/local/lib/python3.8/dist-packages
    - /usr/lib/python3/dist-packages

##### Known environments


- <Environment: 3.8.2 in /usr> (/usr/bin/python3.8)



##### Settings



g:jedi#usages_command = ',o' (default: '<leader>n')
g:jedi#goto_assignments_command = ',a' (default: '<leader>g')
g:jedi#goto_command = ',d' (default: '<leader>d')
g:jedi#completions_enabled = 0 (default: 1)


  omnifunc=htmlcomplete#CompleteTags
    Last set from /usr/share/nvim/runtime/ftplugin/html.vim line 
  completeopt=menu,noinsert
    Last set from ~/.config/arch-chronicle/nvim-fisa/init.vim 

As soon as I open a Python file, I see a message:

[deoplete] jedi module is not found. You need to install it..

What could be the reason?

5
  • I can see you have the jedi-vim plug-in installed... But do you also have the deoplete-jedi one? That plug-in requires the jedi module in Python. From NeoVim, can you run :py3 import jedi successfully? – filbranden Sep 20 '20 at 17:40
  • 1
    Yes deoplete-jedi installed, :py3 import jedi runs succesfully. At least, silently :) – Alexey Orlov Sep 20 '20 at 18:35
  • Besides, how am I supposed to Use :messages / see above for error details.? I cannot see more than one line, no matter what. – Alexey Orlov Sep 20 '20 at 18:39
  • 1
    I assume you’re using this computer as root ? Otherwise I would suggest that the location of the installation files in /root/ could be an issue – D. Ben Knoble Sep 21 '20 at 12:18
  • Yes, it's a remote setup. Absolutely everything else in my nvim configuration works just fine. I hope my trouble is not lethal. – Alexey Orlov Sep 21 '20 at 14:57
2

In my case I had to run this command:

pip3 install --user jedi
1
  • 1
    Thanks! Or # apt install python3-jedi, for me. So :checkhealth is not to be relied upon in a simple case like this. An important lesson! – Alexey Orlov Sep 22 '20 at 11:58

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.